# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j/disable" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "disabled",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": false,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-15T11:20:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}
Payment Destinations
Disable Payment Destination
Disable a payment destination so no future payments can be sent to it
POST
/
va
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payment-destinations
/
{destination_id}
/
disable
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j/disable" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "disabled",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": false,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-15T11:20:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}
Disables a payment destination so that no future payments can be sent to it. Takes the path
id with an empty body.
Path Parameters
string
required
Id of the parent account (e.g.
acct_...).string
required
Id of the parent beneficiary (e.g.
bene_...).string
required
Destination id (e.g.
dest_…).Response
Returns thepayment_destination object with status = disabled.
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j/disable" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "disabled",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": false,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-15T11:20:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}